## libpci2-2.1.11.tar.bz2

=== Makefile ===
# $Id: Makefile,v 1.54 2003/01/04 12:53:01 mj Exp $
# Makefile for Linux PCI Utilities
# (c) 1998--2003 Martin Mares <mj@ucw.cz>

OPT=-O2 -fomit-frame-pointer
#OPT=-O2 -g
CFLAGS=$(OPT) -Wall -W -Wno-parentheses -Wstrict-prototypes

VERSION=2.1.11
#SUFFIX=-pre2
DATE=2003-01-04

PREFIX=/usr
SBINDIR=/usr/bin
LIBDIR=/usr/lib
SHAREDIR=$(PREFIX)/share/misc
MANDIR=$(shell if [ -d $(PREFIX)/share/man ] ; then echo $(PREFIX)/share/man ; else echo $(PREFIX)/man ; fi)
INSTALL=install
DIRINSTALL=install -d
PCILIB=libpci.so.2

ifeq ($(shell uname),NetBSD)
PCILIB=libpciutils.a
LDFLAGS+=-lpci
else
ifeq ($(shell uname),AIX)
CFLAGS=-g
INSTALL=installbsd
DIRINSTALL=mkdir -p
endif
endif

export

all: lib lspci setpci pcimodules lspci.8 setpci.8 pcimodules.8 update-pciids update-pciids.8 pci.ids

lib: lib/config.h
	$(MAKE) -C lib all

lib/config.h:
	cd lib && ./configure $(SHAREDIR) $(VERSION)

lspci: lspci.o common.o lib/$(PCILIB)
	(cd lib; ln -sf libpci.so.2 libpci.so)
	gcc -o $@ lspci.o common.o -Llib/ -lpci

setpci: setpci.o common.o lib/$(PCILIB)
	(cd lib; ln -sf libpci.so.2 libpci.so)
	gcc -o $@ setpci.o common.o -Llib/ -lpci
	(cd lib; rm libpci.so)

pcimodules: pcimodules.o common.o lib/$(PCILIB)
	(cd lib; ln -sf libpci.so.2 libpci.so)
	gcc -o $@ pcimodules.o common.o -Llib/ -lpci
	(cd lib; rm libpci.so)

lspci.o: lspci.c pciutils.h
setpci.o: setpci.c pciutils.h
pcimodules.o: pcimodules.c pciutils.h
common.o: common.c pciutils.h

update-pciids: update-pciids.sh
	sed <$< >$@ "s@^DEST=.*@DEST=/var/lib/pciutils/pci.ids@"

%.8: %.man
	M=`echo $(DATE) | sed 's/-01-/-January-/;s/-02-/-February-/;s/-03-/-March-/;s/-04-/-April-/;s/-05-/-May-/;s/-06-/-June-/;s/-07-/-July-/;s/-08-/-August-/;s/-09-/-September-/;s/-10-/-October-/;s/-11-/-November-/;s/-12-/-December-/;s/\(.*\)-\(.*\)-\(.*\)/\3 \2 \1/'` ; sed <$< >$@ "s/@TODAY@/$$M/;s/@VERSION@/pciutils-$(VERSION)$(SUFFIX)/;s#@SHAREDIR@#$(SHAREDIR)#"

clean:
	rm -f `find . -name "*~" -o -name "*.[oa]" -o -name "\#*\#" -o -name TAGS -o -name core -o -name "*.so" -o -name "*.so.2"`
	rm -f update-pciids pcimodules lspci setpci lib/config.* *.8 pci.ids.*

install: all
# -c is ignored on Linux, but required on FreeBSD
	$(DIRINSTALL) -m 755 $(SBINDIR) $(SHAREDIR) $(DESTDIR)/$(MANDIR)/man8 $(DESTDIR)/$(LIBDIR)
	$(INSTALL) -c -m 755 -s lspci setpci pcimodules $(DESTDIR)/$(SBINDIR)
	$(INSTALL) -c -m 755 lib/$(PCILIB) $(DESTDIR)/$(LIBDIR)/$(PCILIB)
	$(INSTALL) -c -m 755 update-pciids $(DESTDIR)/$(SBINDIR)
	$(INSTALL) -c -m 644 pci.ids $(DESTDIR)/$(SHAREDIR)
	$(INSTALL) -c -m 644 lspci.8 setpci.8 update-pciids.8 pcimodules.8 $(DESTDIR)/$(MANDIR)/man8

uninstall: all
	rm -f $(SBINDIR)/lspci $(SBINDIR)/setpci $(SBINDIR)/update-pciids $(SBINDIR)/pcimodules
	rm -f $(SHAREDIR)/pci.ids
	rm -f $(MANDIR)/man8/lspci.8 $(MANDIR)/man8/setpci.8 $(MANDIR)/man8/update-pciids.8 $(MANDIR)/man8/pcimodules.8

get-ids:
	cp ~/tree/pciids/pci.ids pci.ids

pci.ids:
	@ [ -f pci.ids ] || echo >&2 "The pci.ids file is no longer part of the CVS. Please do run update-ids.sh to download them." && false

release:
	sed "s/^\\(Version:[ 	]*\\)[0-9.]*/\\1$(VERSION)/;s/^\\(Entered-date:[ 	]*\\)[0-9]*/\\1`date -d$(DATE) '+%y%m%d'`/;s/\\(pciutils-\\)[0-9.]*/\\1$(VERSION)\\./" <pciutils.lsm >pciutils.lsm.new
	sed "s/^\\(Version:[ 	]*\\)[0-9.]*/\\1$(VERSION)/" <pciutils.spec >pciutils.spec.new
	sed "s/\\(, version \\).*\./\\1$(VERSION)$(SUFFIX)./" <README >README.new
	mv pciutils.lsm.new pciutils.lsm
	mv pciutils.spec.new pciutils.spec
	mv README.new README

REL=pciutils-$(VERSION)$(SUFFIX)
DISTTMP=/tmp/pciutils-dist

dist: clean pci.ids
	rm -rf $(DISTTMP)
	mkdir $(DISTTMP)
	cp -a . $(DISTTMP)/$(REL)
	rm -rf `find $(DISTTMP)/$(REL) -name CVS -o -name tmp -o -name maint`
	cd $(DISTTMP) ; tar czvvf /tmp/$(REL).tar.gz $(REL)
	rm -rf $(DISTTMP)

upload: dist
	maint/upload $(REL)

.PHONY: all lib clean install uninstall dist man release upload get-ids

=== lib/Makefile ===
# $Id: Makefile,v 1.6 2002/12/26 19:28:33 mj Exp $
# Makefile for The PCI Library
# (c) 1999 Martin Mares <mj@ucw.cz>

include config.mk

OBJS=access.o generic.o dump.o names.o filter.o
INCL=internal.h pci.h config.h
CFLAGS+=-fPIC

PCILIB=libpci.a
PCILIBSHARED=libpci.so.2

ifdef HAVE_PM_LINUX_SYSFS
OBJS += sysfs.o
endif

ifdef HAVE_PM_LINUX_PROC
OBJS += proc.o
endif

ifdef HAVE_PM_INTEL_CONF
OBJS += i386-ports.o
endif

ifdef HAVE_PM_DUMP
OBJS += dump.o
endif

ifdef HAVE_PM_SYSCALLS
OBJS += syscalls.o
endif

ifdef HAVE_PM_FBSD_DEVICE
OBJS += fbsd-device.o
CFLAGS += -I/usr/src/sys
endif

ifdef HAVE_PM_AIX_DEVICE
OBJS += aix-device.o
endif

ifdef HAVE_PM_NBSD_LIBPCI
OBJS += nbsd-libpci.o
PCILIB=libpciutils.a
endif

ifdef HAVE_OWN_HEADER_H
INCL += header.h
endif

all: $(PCILIB) $(PCILIBSHARED)

$(PCILIB): $(OBJS)
	rm -f $@
	ar rcs $@ $^
	ranlib $@

$(PCILIBSHARED): $(OBJS)
	rm -f $@
	gcc -shared -fPIC -Wl,-soname,libpci.so.2 -o $@ $^

access.o: access.c $(INCL)
i386-ports.o: i386-ports.c $(INCL)
proc.o: proc.c $(INCL)
generic.o: generic.c $(INCL)
syscalls.o: syscalls.c $(INCL)
fbsd-device.o: fbsd-device.c $(INCL)
aix-device.o: aix-device.c $(INCL)
dump.o: dump.c $(INCL)
names.o: names.c $(INCL)
filter.o: filter.c $(INCL)
nbsd-libpci.o: nbsd-libpci.c $(INCL)

=== debian/changelog ===
libpci2 (2:2.1.11-3) unstable; urgency=low

  * Apply GNU/kFreeBSD patch.  Closes: 372264
  * Update to Policy 3.7.2

 -- Matthew Wilcox <willy@debian.org>  Fri, 11 Aug 2006 15:38:36 -0400

libpci2 (2:2.1.11-2) unstable; urgency=low

  * Fix Maintainer address

 -- Matthew Wilcox <willy@debian.org>  Wed, 07 Jun 2006 11:03:18 -0400

libpci2 (2:2.1.11-1) unstable; urgency=low

  * New package for static libpci transition

 -- Matthew Wilcox <willy@debian.org>  Thu, 16 Mar 2006 07:23:22 -0500

pciutils (1:2.1.11-15.3) unstable; urgency=low

  [ Christian Perrier ]
  * Non-maintainer upload to add a udeb providing lspci for d-i purposes
    Closes: #284110

  [ Colin Watson ]
  * Changes merged from Ubuntu patches:
    - Add pciutils-udeb, for use in the installer. Contains only lspci,
      libpci.so.2, and pci.ids.
    - Reduce pciutils-udeb's copy of pci.ids by over 100KB by removing
      subsystem ids, which I don't think we need in the installer, and
      comments.
    - Move pciutils-udeb's copy of libpci.so.2 to /lib; it seems to confuse
      mklibs less that way.

 -- Christian Perrier <bubulle@debian.org>  Sat,  3 Dec 2005 08:16:54 +0100

pciutils (1:2.1.11-15.1) unstable; urgency=low

  * NMU durring BSP
  * remove unneeded wget build-dependancy
  * Store pci.ids under /var for better FHS complicance (closes: #278479)
    patch by Sam Morris
  * Remove pci.ids.old etc when purging the package (closes: #281413)
    patch by Sam Morris
  * fix lspci -F for new or old lspci -x format (closes: #261536)
    based on patch by Ben Pfaff
  * update pci.ids (closes: #281411, hopefully closes: #326274)
	
 -- Blars Blarson <blarson@blars.org>  Sat,  3 Sep 2005 22:07:20 +0000

pciutils (1:2.1.11-15) unstable; urgency=low

  * Updated pci.ids
  * Closes: #259990: pciutils{, -dev}: package description shouldn't
    contain "(for 2.*.* kernels)"
  * Install example.c in package (closes: #228660)

 -- Remco van de Meent <remco@debian.org>  Sun, 18 Jul 2004 10:16:57 +0200

pciutils (1:2.1.11-14) unstable; urgency=medium

  * Added Conflicts with older alsa-utils version (closes: #259661)
  * Updated pci.ids

 -- Remco van de Meent <remco@debian.org>  Fri, 16 Jul 2004 18:38:05 +0200

pciutils (1:2.1.11-13) unstable; urgency=low

  * Updated pci.ids
  * Add pcimodules utility (closes: #253020)
  * Add -X option for output suitable for use in XFree86Config (closes:
    #251828)
  * Fix problem with lspci displaying wrong bar size (closes: #256352)
  * Make machine-readable output better machine-readable (closes:
    #250737)

 -- Remco van de Meent <remco@debian.org>  Fri,  9 Jul 2004 16:13:52 +0200

pciutils (1:2.1.11-12) unstable; urgency=low

  * Oops now with correct replaces versioning

 -- Remco van de Meent <remco@debian.org>  Tue, 20 Apr 2004 23:53:16 +0200

pciutils (1:2.1.11-11) unstable; urgency=low

  * Revert to just the pciutils and pciutils-dev packages (no changes to
    base system allowed currently), hence replaces: libpci2 (closes:
    #244583, #241360, #225512)
  * Fix warning on lack of sysfs support on 2.4 kernels (closes: #242239,
    #244249, #242892)
  * Conflicts on packages that need the old output of lspci, or the old
    libpci.so.1, namely hardinfo, kudzu and sndconfig.
  * Updated pci.ids

 -- Remco van de Meent <remco@debian.org>  Tue, 20 Apr 2004 11:31:10 +0200

pciutils (1:2.1.11-10) unstable; urgency=low

  * Sysfs support enabled again. libpci1 -> libpci2.
  * Old shared lib in separate (source) package: libpci1
  * Temporary dependency on libpci1 package, for transition purposes.

 -- Remco van de Meent <remco@debian.org>  Thu,  8 Apr 2004 21:07:51 +0200

pciutils (1:2.1.11-9) unstable; urgency=low

  * Revert sysfs patch, so that ABI is back in original state. Shared
    library split off from main package (libpci1). Later version will
    include sysfs patch again.
  * Update pci.ids

 -- Remco van de Meent <remco@debian.org>  Thu,  8 Apr 2004 19:30:15 +0200

pciutils (1:2.1.11-8) unstable; urgency=low

  * Updated pci.ids file
  * Applied sysfs patch from
    http://ftp.linux.org.uk/pub/linux/willy/patches/pciutils-sysfs.diff.
    pciutils now can make use of /sys if available (linux 2.6), and also
    works under 2.4 on sparc64 (closes: #225027, #227547)
  * update-pciids.sh now preserves permission of pci.ids (closes:
    #223740)
  * Changed wrong acronym Mhz into MHz in lspci.c (closes: #230594)

 -- Remco van de Meent <remco@debian.org>  Sun, 28 Mar 2004 15:17:30 +0200

pciutils (1:2.1.11-7) unstable; urgency=low

  * Tiny change to lib/configure
  * Updated pci.ids
  * Removed build-depends on libc6-dev (closes: #225345)

 -- Remco van de Meent <remco@debian.org>  Mon, 29 Dec 2003 19:07:55 +0100

pciutils (1:2.1.11-6) unstable; urgency=low

  * Updated pci.ids
  * Slighly updated description in debian/control

 -- Remco van de Meent <remco@debian.org>  Mon,  8 Dec 2003 20:38:49 +0100

pciutils (1:2.1.11-5) unstable; urgency=low

  * Introduce versioning in shared library: libpci.so -> libpci.so.1
    (closes: #215181)
  * Provide libpci.so -> libpci.so.1 symlink to prevent other packages
    breaking

 -- Remco van de Meent <remco@debian.org>  Sat, 11 Oct 2003 12:44:19 +0200

pciutils (1:2.1.11-4) unstable; urgency=low

  * Provide symlink /bin/lspci -> /usr/bin/lspci, and similar for
    setpci. /usr/bin is the new location of these binaries as they are
    no longer essential, but other packages may currently rely on these
    binaries to be in /bin. (closes: #215002)
  * Fix Makefile so that setpci is built correctly (closes: #214785)

 -- Remco van de Meent <remco@debian.org>  Fri, 10 Oct 2003 09:46:17 +0200

pciutils (1:2.1.11-3) unstable; urgency=low

  * Upgraded to Standards-Version: 3.6.1
  * Applied patch from Iustin Pop to have pciutils provide a shared
    library (closes: #212246)
  * Formatting problem for PCI-X capabilities fixed, thanks to Matthew
    Wilcox (closes: #191468)


=== debian/control ===
Source: libpci2
Section: oldlibs
Priority: optional
Maintainer: Debian pciutils Maintainers <pkg-pciutils-discuss@lists.alioth.debian.org>
Uploaders: Matthew Wilcox <willy@debian.org>, Matt Taggart <taggart@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: debhelper (>> 4)
Standards-Version: 3.7.2

Package: libpci2
Architecture: any
Depends: ${shlibs:Depends}
Replaces: pciutils (<< 1:2.2.1-1)
Conflicts: pciutils (<< 1:2.2.1-1), hardinfo (<= 0.3.6-3), kudzu (<= 1.1.36-2), sndconfig (<= 0.70-2), alsa-utils (<< 1.0.5-3)
Description: Obsolete shared library for accessing pci devices
 This is a transition package to allow for partial upgrades from sarge.
 It should be removed after etch is released.

=== debian/rules ===
#!/usr/bin/make -f

build:
	dh_testdir
	$(MAKE) lib

clean:
	dh_testdir
	dh_testroot
	-$(MAKE) clean
	dh_clean


# Build architecture-independent files here.
binary-indep: build 


# Build architecture-dependent files here.
binary-arch: build 
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -a

	#$(MAKE) install DESTDIR=`pwd`/debian/libpci2
	install -m 644 lib/libpci.so.2 debian/libpci2/usr/lib
	#ln -s libpci.so.2 debian/libpci2/usr/lib/libpci.so

	dh_installdocs
	dh_installchangelogs -a ChangeLog
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
